<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node26.html" />
<link rel="prev" href="node20.html" />
<link rel="parent" href="node8.html" />
<link rel="next" href="node26.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.8 The Bounce Processing Category</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.7.4 spam Filters"
  href="node24.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.9 the Archiving Options"
  href="node26.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node24.html">2.7.4 Spam Filters</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node26.html">2.9 The Archiving Options</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION002280000000000000000">
2.8 The Bounce Processing Category</a>
</h2>

<p>
These policies control the automatic bounce processing system in
Mailman.  Here's an overview of how it works:

<p>
When a bounce is received, Mailman tries to extract two pieces of
information from the message: the address of the member the message
was intended for, and the severity of the problem causing the bounce.
The severity can be either <em>hard</em> for fatal errors, or
<em>soft</em> for transient errors.  When in doubt, a hard severity is
used.

<p>
If no member address can be extracted from the bounce, then the bounce
message is usually discarded.  Every member has a <em>bounce score</em>,
initialized at zero, and every time we encounter a bounce from a
member we increment that member's score.  Hard bounces increment by 1
while soft bounces increment by 0.5.  We only increment the bounce
score once per day, so even if we receive ten hard bounces from a
member per day, their score will increase by only 1 for that day.

<p>
When a member's bounce score is greater than the <em>bounce score
threshold</em> (see below), the member's subscription is disabled.  Once
disabled, the member will not receive any postings from the list until
their membership is explicitly re-enabled, either by the list
administrator or the user.  However, they will receive occasional
reminders that their membership has been disabled, and these reminders
will include information about how to re-enable their membership.  You
can control both the number of reminders the member will receive and
the frequency with which these reminders are sent.

<p>
There is one other important configuration variable; after a certain
period of time - during which no bounces from the member are received
- the bounce information is considered stale and discarded.  Thus by
adjusting this value, and the score threshold, you can control how
quickly bouncing members are disabled.  You should tune both of these
to the frequency and traffic volume of your list.

<p>
<dl>
<dt><strong>bounce_processing</strong></dt>
<dd>Specifies whether or not this list should do automatic bounce
    processing.

<p>
</dd>
<dt><strong>bounce_score_threshold</strong></dt>
<dd>This is the bounce score above which a member's subscription will
    be automatically disabled.  When the subscription is re-enabled,
    their bounce score will be reset to zero.  This value can be a
    floating point number.

<p>
</dd>
<dt><strong>bounce_info_stale_after</strong></dt>
<dd>The number of days after which a member's bounce information is
    considered stale.  If no new bounces have been received in the
    interim, the bounce score is reset to zero.  This value must be
    an integer.

<p>
</dd>
<dt><strong>bounce_you_are_disabled_warnings</strong></dt>
<dd>The number of notices a disabled member will receive before their
    address is removed from the mailing list's roster.  Set this to 0
    to immediately remove an address from the list once their bounce
    score exceeds the threshold.  This value must be an integer.

<p>
</dd>
<dt><strong>bounce_you_are_disabled_warnings_interval</strong></dt>
<dd>The number of days between each disabled notification.

<p>
</dd>
<dt><strong>bounce_unrecognized_goes_to_list_owner</strong></dt>
<dd>This variable controls whether unrecognized bounces are discarded,
    or forwarded on the list administrator.  The bounce detector isn't
    perfect, although personalization can make it much more accurate.
    The list owner may want to receive unrecognized bounces so that
    they can manually disable or remove such members.

<p>
</dd>
<dt><strong>bounce_notify_owner_on_disable</strong></dt>
<dd>This option controls whether or not the list owner is notified
    when a member's subscription is automatically disabled due to
    their bounce threshold being reached.

<p>
</dd>
<dt><strong>bounce_notify_owner_on_removal</strong></dt>
<dd>This option controls whether or not the list owner is notified
    when a member is removed from the list after their disabled
    notifications have been exhausted.
</dd>
</dl>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.7.4 spam Filters"
  href="node24.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.9 the Archiving Options"
  href="node26.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node24.html">2.7.4 Spam Filters</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node26.html">2.9 The Archiving Options</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
